### File

`packages/ecl/components/ecl-text-input/ecl-text-input.directive.ts`

### Description

Directive, to be used with the HTMl element text . Adds ECL compliant styling.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `input[eclTextInput]`

### Index

###### Methods
getCssClasses
###### Inputs
eclSize isInvalid type class e2eAttr tabindex
###### HostBindings
class class.ecl-text-input--invalid
###### Accessors
cssClasses invalidState

### Constructor

`constructor(ngControl: NgControl)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No

### Inputs

eclSize
Type : `string`
Default value : `'m'`
The size of the input width. Can be 's', 'm' or 'l'. Default value is 'm'.

isInvalid
Type : `boolean`
Default value : `false`

type
Type : `string`
Default value : `'text'`
This directive should be used with the input type 'text'.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Adds ECL classes for the component.

class.ecl-text-input--invalid
Type : `boolean`
Adds 'ecl-text-input--invalid' class, depending on the invalid status of the component.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Adds ECL classes for the component. Returns : `string`

invalidState
get `invalidState()`
Adds 'ecl-text-input--invalid' class, depending on the invalid status of the component. Returns : `boolean`

# results matching ""

# No results matching ""